QGIS Application - Bug report #3341
GRASS MASK only vizualized for PERMANENT
2010-12-16 05:35 AM - Otto Dassau

Status: Closed

Priority: Low

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No
Operating System: SuSE Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 13401
Description

Hi,

QGIS only recognizes a GRASS MASK file correctly during vizualization, when the MASK file is in mapset PERMANENT. If MASK is in
another mapset, the complete maps are drawn as usually.
Otto

History

#1 - 2011-12-16 01:50 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Veersion 1.7.4

#2 - 2011-12-23 09:21 AM - Paolo Cavallini
- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Pull Request or Patch supplied set to No

- Assignee deleted (Lorenzo Masini)

#3 - 2012-04-16 06:24 AM - Paolo Cavallini
- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:38 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-12-15 07:58 AM - Radim Blazek
- Status changed from Open to Closed

Rasters are masked in GRASS library until G_suppress_masking()/Rast_suppress_masking() is called. Rasters are masked by MASK raster from current
mapset. While in traditional GRASS session there is always one mapset open as current, in QGIS, GRASS rasters may be rendered without opening a
mapset. Because applying or not applying mask according to if a mapset is open or not would be very confusing, masking for rendering and querying
rasters was disabled completely in QGIS in commit:e7a0167.
